<?php

namespace App\Entities\Customer\Wallet;

use App\Models\Customer\Wallet\AccountModel;

class AccountEntity extends WalletEntity
{
    const PK = AccountModel::PK;
    const TITLE = AccountModel::TITLE;
    /**
     * 생성자
     */
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->nullableFields = [
            ...$this->nullableFields,
            'bank',
            'alias',
        ];
        $this->dates = [
            ...$this->dates,
            'issue_at',
        ];
    }

    public function getBank(): ?string
    {
        return $this->bank;
    }

    public function getAlias(): ?string
    {
        return $this->alias;
    }

    public function getIssueAt(): string
    {
        return $this->issue_at;
    }
}